﻿using System;
using TimeScheduler.Common;

namespace TimeScheduler.Model.Impl
{
  public class TimeItem : NotifyableObject, ITimeItem
  {
    private string description_;
    public string Description { get { return description_; } set { SetField(ref description_, value); } }

    private DateTime from_;
    public DateTime From { get { return from_; } set { SetField(ref from_, value); } }

    private DateTime till_;
    public DateTime Till { get { return till_; } set { SetField(ref till_, value); } }

    private int costUnit_;
    public int CostUnit { get { return costUnit_; } set { SetField(ref costUnit_, value); } }

    private TimeItemType itemType_;
    public TimeItemType ItemType { get { return itemType_; } set { SetField(ref itemType_, value); } }
  }
}
